Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Customer Service Management / Reference / REST API

Organization bulk operations

Postman Collection
OpenAPI

This resource represents bulk operations for organizations. Use this to perform bulk operations on organizations, including their profiles and detail fields and values.

POST

Bulk manage organization profilesExperimental

Bulk manage multiple organization profiles with detail fields.
Allows creating, updating or upserting up to 100 organization profiles in a single request.

Organization Identification: To identify organizations, provide either id or name. When using UPSERT operation, note that providing only id (without name) will not create a new organization if the organization doesn't exist. The name field must be provided to create new organizations.

Permissions required: Customer Service Management or Jira Service Management user. Note: Permission to create organizations can be switched to users with the Administer Jira global permission permission using the Organization management feature available in Jira Service Management product settings.

write:organization.profile:jira-service-management

Request

Header parameters

Idempotency-Key

IdempotencyKeyHeader

Required
X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

organizationProfiles

array<BulkManageOrganizationProfileOperation>

Required

Responses

Returns a task identifier and statusUrl that can be used to retrieve information about the results of the task via the Get task status API.

application/json

TaskSubmitResponse
POST/api/v1/organization/profile/bulk
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/profile/bulk' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Idempotency-Key: c748a424-1db8-47f9-8288-713cdb0407b5' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "organizationProfiles": [ { "operationType": "UPSERT", "payload": { "name": "Atlassian", "details": [ { "name": "Region", "values": [ "EMEA" ] }, { "name": "Phone Number", "values": [ "0422333111" ] } ], "associateCustomers": { "customerIds": [ "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053", "qm:10c2e972-eef6-4e0e-aa81-9a9e7a4ba9a7:3468699a-b2f0-4ae9-ab2d-155a5f5a8db4" ] }, "associateProducts": { "productIds": [ "3858a61a-d337-42e6-993e-e13e1c366d4f" ] } } } ] }'
200Response
1 2 3 4 { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "statusUrl": "/api/v1/tasks/3858a61a-d337-42e6-993e-e13e1c366d4f" }
POST

Bulk manage organizationsExperimental

Bulk manage multiple organizations. This allows up to 50 organizations in a single request.

Permissions required: Customer Service Management or Jira Service Management user. Note: Permission to update organizations can be switched to users with the Administer Jira global permission permission using the Organization management feature available in Jira Service Management product settings.

write:organization:jira-service-management

Request

Header parameters

Idempotency-Key

IdempotencyKeyHeader

Required
X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

organizations

array<BulkOrganizationOperationRequest>

Required

Responses

Returns a task identifier and statusUrl that can be used to retrieve information about the results of the task via the Get task status API.

application/json

TaskSubmitResponse
POST/api/v1/organization/bulk
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/bulk' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Idempotency-Key: c748a424-1db8-47f9-8288-713cdb0407b5' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "organizations": [ { "operationType": "CREATE", "payload": { "id": "1", "name": "Atlassian" } } ] }'
200Response
1 2 3 4 { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "statusUrl": "/api/v1/tasks/3858a61a-d337-42e6-993e-e13e1c366d4f" }
POST

Bulk manage organizations' detail field valuesExperimental

Bulk manage organization detail field values for multiple organizations. Supports UPDATE, PATCH, and DELETE operations across multiple organizations and detail fields.

Permissions required: Customer Service Management or Jira Service Management user.

write:organization.detail:jira-service-management

Request

Header parameters

Idempotency-Key

IdempotencyKeyHeader

Required
X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

The bulk operations to perform on organization detail field values, defined per organization. Operations can be combined.

organizations

array<BulkOrganizationDetailFieldOperation>

Required

Responses

Returns a task identifier and statusUrl that can be used to retrieve information about the results of the task via the Get task status API.

application/json

TaskSubmitResponse
POST/api/v1/organization/details/bulk
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/details/bulk' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Idempotency-Key: c748a424-1db8-47f9-8288-713cdb0407b5' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "organizations": [ { "id": "1", "operations": [ { "operationType": "UPDATE", "payload": { "name": "Region", "values": [ "Asia" ] } } ] } ] }'
200Response
1 2 3 4 { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "statusUrl": "/api/v1/tasks/3858a61a-d337-42e6-993e-e13e1c366d4f" }

Rate this page: